% used for taking repetitive runs on a selected set of options.
i=1;n=1;
bests=zeros(n,2);
Finvals=zeros(n,1);
j=1;
for j=1:n
%%Fitness function
fitnessFunction = @fitevalSCmin2;
%%Number of Variables
nvars = 2 ;
%Start with default options
options = gaoptimset;
%%Modify some parameters
options = gaoptimset(options,'PopulationType' ,'doublevector');
options = gaoptimset(options,'PopulationSize' ,50);
options = gaoptimset(options,'FitnessScalingFcn' ,@fitscalingprop);
options = gaoptimset(options,'SelectionFcn' ,@selectionroulette);
options = gaoptimset(options,'EliteCount' ,1 );
options = gaoptimset(options,'CrossoverFcn' ,@crossoversinglepoint);
options = gaoptimset(options,'CrossoverFraction' ,0.7);
options = gaoptimset(options,'MutationFcn' ,{ @mutationuniform 0.05 });
options = gaoptimset(options,'MigrationFraction' ,0 );

options = gaoptimset(options,'Generations' ,200);
options = gaoptimset(options,'TimeLimit' ,Inf);
options = gaoptimset(options,'FitnessLimit' ,-Inf);
options = gaoptimset(options,'StallGenLimit' ,Inf);
options = gaoptimset(options,'StallTimeLimit' ,Inf);
options = gaoptimset(options,'Display' ,'Diagnose');
options = gaoptimset(options,'Display' ,'iter');
options = gaoptimset(options,'PlotFcns' ,{ @gaplotbestf @gaplotbestindiv });
%%Run GA
[X,FVAL,REASON,OUTPUT,POPULATION,SCORES] = ga(fitnessFunction,nvars,options);
bests(i,1+2*(j-1):2+2*(j-1))=X;
Finvals(i,j)=FVAL;
j=j+1;
end
bests
Finvals