function fitnessNEC= fitevalNECmin(y)
    Lmax=5;	%the max and min values of the parameters to be evaluated
    Lmin=0.001;
    Cmax=5;
    Cmin=0.001;
    tn=200;
%bu degerler evaluation icin gerekli
    Perr=1;  %the weight of the period error
    Pamp=1;
    x2max=0;  x2min=0; maxp=0;
    if y(1) < 0
        y(1)= 0;
    end
    if y(2) < 0
        y(2)= 0;
    end
    global K
    K=zeros(2,1);
    K(1,1)=Lmin+(Lmax-Lmin)*y(1)
    K(2,1)=Cmin+(Cmax-Cmin)*y(2)
%****************************************************
[t x]=ode45('NEC',[0 tn],[0 1]); %runs the model from the m file.
%     plot(t,x(:,1),'r'); 
      plot(t,x(:,2),'r'); 
  %    plot(t,cos(t*pi/10),'k');
    [rows,col]=size(x);
%calculation of the fitness function
  x2max= max(x(:,2));
  x2min= min(x(:,2));
  p=zeros(rows,1);
  p1=zeros(rows,1);
  for k=1:rows %top 95% of the hill
      if x(k,2)>=0.95*x2max 
         p(k,1)=x(k,2);
      end
  end
  z=zeros(1,1);  
  itr=1;
   for l=1:rows-1 %from top 95% to the max
       if p(l,1)<p(l+1,1) 
           p1(l+1,1)=p(l+1,1);
       end
   end
   for m=1:rows  % the time max is reached
       if maxp<p1(m,1) 
           maxp=p1(m,1);
           z(itr,1)=t(m);
       end
       if maxp>p1(m,1)
           maxp=0;
           itr=itr+1;
       end
   end
   [rowz,colz]=size(z);
   period=zeros(rowz-1,1);
   for n=1:rowz-1 %period calculation subtracting max times
       period(n,1)=z(n+1,1)-z(n,1);
   end
   if rowz-1>0
   avgperiod=sum(period)/(rowz-1);
   else
       avgperiod=0;
   end
   perioderror=abs(avgperiod-20);
   amplitude=x2max-x2min;
   amplitudeerror=abs(amplitude-2);
  % [t,p1]
  % plot(t,p1(:,1),'rd');             
   fitnessNEC=Perr*(perioderror)+Pamp*(amplitudeerror);%Fittness fuction